import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
import pandas as pd

tips = sns.load_dataset("tips")

color_palette = {"Male": "g", "Female": "y"}
df = tips.sample(frac=1, random_state=123)[:50]
sns.swarmplot(x="time", y='tip', hue="sex", size=10, edgecolor="gray",
              palette=color_palette, linewidth=2, data=df)

plt.show()
